# `patch-durandal-infinity.sh`

A very simple single-purpose script using `charlemagne` to upgrade one
or more Marathon 2: Durandal physics files to include the newer
Infinity entities.

Needs the `durandal-infinity.patch` file included with the script.
The `infinity-entities` directory must reside alongside the script.

    ./patch-durandal-infinity.sh durandal-infinity.patch *.phyA

The original version of the input file(s) will be copied into a backup
that has the same name as the original with an added extension
`.orig`.  Note that running the script twice in a row will either (a)
do nothing or (b) revert the changes, and will copy the modified file
to `.orig`.  Options (a) or (b) above depend on the interactive input
that `patch` receives when it realizes it's already applied the patch.

I recommend keeping real backups elsewhere, i.e. patching copies; the
`.orig` file is just there as a courtesy.  Hey, you could even manage
your physics as JSON and use them sanely with version control.

The script also skips any file not ending in `.phyA`, so running the
script against *.* or similar will at least skip random stuff and
`.orig` files.

This script relies on a few core utilities as well as `rsync`.
